#
# spec file for package fetchmsttfonts (Version 11.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           fetchmsttfonts
License:        GPL v2 or later
Group:          System/X11/Fonts
Summary:        Helper package to run the fetchmsttfonts script
Version:        11.2
Release:        10.1
Source0:        fetchmsttfonts.sh.in
#these stop the patch from pulling in the package
#Provides:       pullin-msttf-fonts = 11.1
#Obsoletes:      pullin-msttf-fonts <= 11.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cabextract curl fonts-config awk mktemp coreutils
BuildRequires:  fonts-config freetype2
BuildArch:      noarch

%description
This package contains the fetchmsttfonts helper script, which on
running retrieves and unpacks the freely available MS Truetype fonts.



Authors:
--------
    Marcus Meissner <meissner@suse.de>
    Stefan Dirsch <sndirsch@suse.de>

%prep
cp %{SOURCE0} .

%build
sed -e 's,__VERSION__,%version,' -e 's,__RELEASE__,%release,' -e 's,__NAME__,%name,' fetchmsttfonts.sh.in > fetchmsttfonts.sh

%install
%suse_install_update_script fetchmsttfonts.sh
%{nil}
#
mkdir -p %buildroot/var/adm/update-messages
touch %buildroot/var/adm/update-messages/%name-%version-%release-1
mkdir -p %buildroot/usr/share/fonts/truetype/
for f in webdings.ttf verdanaz.ttf verdana.ttf verdanai.ttf verdanab.ttf trebuc.ttf trebucit.ttf trebucbi.ttf trebucbd.ttf times.ttf timesi.ttf timesbi.ttf timesbd.ttf georgiaz.ttf georgia.ttf georgiai.ttf georgiab.ttf cour.ttf couri.ttf courbi.ttf courbd.ttf comic.ttf comicbd.ttf ariblk.ttf arial.ttf ariali.ttf arialbi.ttf arialbd.ttf andalemo.ttf;
do
	touch %buildroot/usr/share/fonts/truetype/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%postun -p /usr/sbin/fonts-config

%files
%defattr(-, root, root)
/var/adm/update-scripts/*
%dir /usr/share/fonts/truetype
%ghost /var/adm/update-messages/%name-%version-%release-1
# so we can get rid of them by rpm -e fetchmsttfonts
%ghost /usr/share/fonts/truetype/webdings.ttf
%ghost /usr/share/fonts/truetype/verdanaz.ttf
%ghost /usr/share/fonts/truetype/verdana.ttf
%ghost /usr/share/fonts/truetype/verdanai.ttf
%ghost /usr/share/fonts/truetype/verdanab.ttf
%ghost /usr/share/fonts/truetype/trebuc.ttf
%ghost /usr/share/fonts/truetype/trebucit.ttf
%ghost /usr/share/fonts/truetype/trebucbi.ttf
%ghost /usr/share/fonts/truetype/trebucbd.ttf
%ghost /usr/share/fonts/truetype/times.ttf
%ghost /usr/share/fonts/truetype/timesi.ttf
%ghost /usr/share/fonts/truetype/timesbi.ttf
%ghost /usr/share/fonts/truetype/timesbd.ttf
%ghost /usr/share/fonts/truetype/georgiaz.ttf
%ghost /usr/share/fonts/truetype/georgia.ttf
%ghost /usr/share/fonts/truetype/georgiai.ttf
%ghost /usr/share/fonts/truetype/georgiab.ttf
%ghost /usr/share/fonts/truetype/cour.ttf
%ghost /usr/share/fonts/truetype/couri.ttf
%ghost /usr/share/fonts/truetype/courbi.ttf
%ghost /usr/share/fonts/truetype/courbd.ttf
%ghost /usr/share/fonts/truetype/comic.ttf
%ghost /usr/share/fonts/truetype/comicbd.ttf
%ghost /usr/share/fonts/truetype/ariblk.ttf
%ghost /usr/share/fonts/truetype/arial.ttf
%ghost /usr/share/fonts/truetype/ariali.ttf
%ghost /usr/share/fonts/truetype/arialbi.ttf
%ghost /usr/share/fonts/truetype/arialbd.ttf
%ghost /usr/share/fonts/truetype/andalemo.ttf

%changelog
* Fri Mar 25 2011 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Modifyed fetchmsttfonts.sh to not exit 5 when connection is too 
  slow or no server is available to let instalations via YaST2 continue
  with oter packages.
* Tue Oct 13 2009 meissner@suse.de
- fixed to use new sourceforge download URLs. bnc#533112, bnc#546461
* Wed Jan 28 2009 meissner@suse.de
- %%ghost the font files so they get removed on -e
- run font-config on %%postun (for removal), buildrequire it and
  freetype2 for it.
* Wed Dec 17 2008 meissner@suse.de
- exit 0 when we are running non-chrooted (oS 11.1 bug in some
  installation methods) bnc#456795
* Fri Dec  5 2008 meissner@suse.de
- require coreutils (for /usr/bin/id) and fonts-config
  for minimal builds. bnc#456795
* Mon Dec  1 2008 ro@suse.de
- insert newline after macro to help macro expansion ...
* Sun Nov 30 2008 coolo@suse.de
- according to my test case, it works if there is no provides/obsoletes
  to the old name
* Fri Nov 28 2008 meissner@suse.de
- reviewed and adjusted server list. Some servers no longer
  carried the fonts.
* Fri Nov 28 2008 dmueller@suse.de
- update for 11.1
  * add eula to package
* Tue Jun 24 2008 meissner@suse.de
- initial package
  - included fetchmsttfonts.sh script from 10.3
